Subject: Re: [PATCH v2 bpf 0/5] New netdev feature flags for XDP

From: Toke Høiland-Jørgensen <[email-masked]>
Date: Fri, 04 Dec 2020 18:26:10 +0100

Jakub Kicinski <[email-masked]> writes:

> On Fri,  4 Dec 2020 11:28:56 +0100 [email-masked] wrote:
>>  * Extend ethtool netlink interface in order to get access to the XDP
>>    bitmap (XDP_PROPERTIES_GET). [Toke]
>
> That's a good direction, but I don't see why XDP caps belong in ethtool
> at all? We use rtnetlink to manage the progs...

You normally use ethtool to get all the other features a device support,
don't you? And for XDP you even use it to configure the number of
TXQs.

I mean, it could be an rtnetlink interface as well, of course, but I
don't think it's completely weird if this goes into ethtool...

-Toke